Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1016675 - RFE: Disabling of SCAP result deletion policy resets retention period
Summary: RFE: Disabling of SCAP result deletion policy resets retention period
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API
Version: 560
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Dobes
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: sat560-triage
TreeView+ depends on / blocked
 
Reported: 2013-10-08 13:58 UTC by Lukas Pramuk
Modified: 2018-04-09 10:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-09 10:55:04 UTC


Attachments (Terms of Use)

Description Lukas Pramuk 2013-10-08 13:58:22 UTC
Description of problem:
Disabling of the scap result deletion policy also resets retention period to the default (90 days). The retention period is being reset either using webui or API. 


Version-Release number of selected component (if applicable):
spacewalk-java-2.0.2-46.el5sat


How reproducible:
@webUI
@API


Steps to Reproduce:
API:
1. >>> client.org.setPolicyForScapResultDeletion(key, 1, {'retention_period': 15, 'enabled': False})
1
2. >>> client.org.getPolicyForScapResultDeletion(key,1)
{'retention_period': 0, 'enabled': False}

WEBUI:
1. Admin -> Organization -> <selected organization> -> Configuration:
check Allow Deletion of SCAP Results: [v] and then you can set value of Allow Deletion After (period in days). And hit "Update Organization" button.
2. uncheck Allow Deletion of SCAP Results: [_] and hit "Update Organization" button.


3. In both situations custom value of retention_period/"Allow Deletion After (period in days)" is discarded and replaced by the default one.


Actual results:
disabling the policy also resets retention period to the default


Expected results:
when disabling the policy retention period remains the same

Comment 1 Šimon Lukašík 2013-10-08 22:06:12 UTC
It's rather feature than bug. :)

Nevertheless if we really want to fix this feature, we need a schema change.

Comment 2 Lukas Pramuk 2013-10-09 11:04:30 UTC
This bz is an enhancement to the RFE bz #993079 (tuning of already implemented RFE)

Schema change: I  see you need to add new char(1) field to rhnOrgConfiguration table.

Comment 3 Šimon Lukašík 2016-06-07 15:22:56 UTC
I am sorry guys. I haven't been able to move this forward during last 3 years and I don't envision having time for this in the three years to come.

Resetting the assignee to the default.


Note You need to log in before you can comment on or make changes to this bug.